# C Practice test
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
int get_dog_info();
//int read_weight_data();	
struct Dog_Info
{
	char name[50];
	int weight;
	int age;
} dogs[10];


int main()
{
get_dog_info();
//read_weight_data();	
	
}
	get_dog_info()
	{
		int dog_request, Yes;
		printf("Enter Yes if you have a dog you would like to enter:\n");
		scanf("%d",&dog_request);
		getchar();
		while(dog_request==Yes);
		{	int i;
		for(i=1;i<10;i++)
		{
		printf("Please enter Your dog's name:\n");
		getchar();
		gets(dogs[i].name);
		
			
		getchar();
		
		printf("Please enter your dog's weight:\n");
		scanf("%d",dogs[i].weight);
		getchar();
		
		printf("Please enter your dog's age:\n");
		scanf("%d",dogs[i].age);
		getchar();
		printf("Enter Yes if you have a dog you would like to enter");
		getchar();
		scanf("%c",&dog_request);
		if(dog_request=Yes)
		{
			continue;
		}
		else
		{
			break;
		}
		
		
		}
		}
		printf("thanks");
		
	
		
	
	}	
